@echo off

REM NOTE : This is an EXAMPLE of how to run Lava from anywhere.  It needs
REM        to be altered to suit your machine.  If you don't get it, run 
REM        Lava by changing directory to where you installed Lava and 
REM        issue the command java Lava

REM Sorry to UNIX users, I can't be bothered to work out a shell script
REM for every different shell - all the different EXPORT conventions make
REM my head hurt.  If anyone makes one, email it to me and I'll include it.

REM The lavahome environment variable is a pointer to the directory that
REM Lava is installed in.  Setting it to point at this directory enables
REM Lava to find components such as images and the ini file.  If you
REM set this to suit your machine and then you can use this batch file to
REM run Lava from anywhere.

SET lavahome=c:\lava

REM We must make sure that the Lava zip is included in the classpath.
REM If you already to this, eg. in autoexec.bat, you don't have to do this.

SET classpath=%classpath%;%lavahome%\lava.zip

REM We are now ready to run Lava and as all the environments are set up
REM correctly, we can just issue the command with a -D flag to put the
REM lavahome variable into the system properties.

java -DLAVAHOME=%lavahome% Lava 
